Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(918)

Unified Diff: sys-libs/zlib/zlib-1.2.5-r2.ebuild

Issue 6776028: Upgrade libxml2 and its portage dependencies (Closed) Base URL: ssh://gitrw.chromium.org:9222/portage-stable.git@master
Patch Set: Created 9 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « sys-libs/zlib/metadata.xml ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: sys-libs/zlib/zlib-1.2.5-r2.ebuild
diff --git a/sys-libs/zlib/zlib-1.2.5-r2.ebuild b/sys-libs/zlib/zlib-1.2.5-r2.ebuild
new file mode 100644
index 0000000000000000000000000000000000000000..1d29b2d68e8f6b2d353e8f28c2a68f4e6976fc8f
--- /dev/null
+++ b/sys-libs/zlib/zlib-1.2.5-r2.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-libs/zlib/zlib-1.2.5-r2.ebuild,v 1.8 2011/03/27 19:00:39 ranger Exp $
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Standard (de)compression library"
+HOMEPAGE="http://www.zlib.net/"
+SRC_URI="http://www.gzip.org/zlib/${P}.tar.bz2
+ http://www.zlib.net/${P}.tar.bz2"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="alpha amd64 ~arm ~hppa ~ia64 ~m68k ~mips ppc ~ppc64 ~s390 ~sh ~sparc x86 ~sparc-fbsd ~x86-fbsd"
+IUSE=""
+
+RDEPEND="!<dev-libs/libxml2-2.7.7" #309623
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ # trust exit status of the compiler rather than stderr #55434
+ # -if test "`(...) 2>&1`" = ""; then
+ # +if (...) 2>/dev/null; then
+ sed -i 's|\<test "`\([^"]*\) 2>&1`" = ""|\1 2>/dev/null|' configure || die
+
+ epatch "${FILESDIR}"/${P}-ldflags.patch #319661
+ epatch "${FILESDIR}"/${P}-lfs-decls.patch #316377
+ epatch "${FILESDIR}"/${P}-fbsd_chosts.patch #316841
+}
+
+src_compile() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc STRIP=true PREFIX=${CHOST}- || die
+ sed \
+ -e 's|@prefix@|/usr|g' \
+ -e 's|@exec_prefix@|${prefix}|g' \
+ -e 's|@libdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@sharedlibdir@|${exec_prefix}/'$(get_libdir)'|g' \
+ -e 's|@includedir@|${prefix}/include|g' \
+ -e 's|@VERSION@|'${PV}'|g' \
+ zlib.pc.in > zlib.pc || die
+ ;;
+ *) # not an autoconf script, so can't use econf
+ ./configure --shared --prefix=/usr --libdir=/usr/$(get_libdir) || die
+ emake || die
+ ;;
+ esac
+}
+
+src_install() {
+ case ${CHOST} in
+ *-mingw*|mingw*)
+ emake -f win32/Makefile.gcc install \
+ BINARY_PATH="${D}/usr/bin" \
+ LIBRARY_PATH="${D}/usr/$(get_libdir)" \
+ INCLUDE_PATH="${D}/usr/include" \
+ SHARED_MODE=1 \
+ || die
+ insinto /usr/share/pkgconfig
+ doins zlib.pc || die
+ ;;
+
+ *)
+ emake install DESTDIR="${D}" LDCONFIG=: || die
+ gen_usr_ldscript -a z
+ ;;
+ esac
+
+ dodoc FAQ README ChangeLog doc/*.txt
+}
« no previous file with comments | « sys-libs/zlib/metadata.xml ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698